{% load i18n easy_thumbnails_tags cms_tags %}
<div class="col-sm-12 col-md-6 d-md-flex">
    <div id="post-{{ post.slug }}" class="card post-card">
       {% if image and post.main_image %}
           {% thumbnail post.main_image post.thumbnail_options.size crop=post.thumbnail_options.crop upscale=post.thumbnail_options.upscale subject_location=post.main_image.subject_location as thumb %}
           <img class="card-img-top" src="{{ thumb.url }}" alt="{{ post.main_image.default_alt_text }}" width="{{ thumb.width }}" height="{{ thumb.height }}" />
       {% endif %}  
       <div class="card-body">
           <h3 class="card-title"><a href="{{ post.get_absolute_url }}">{{ post.title }}</a></h3>
           {% if post.subtitle %}
           <h4 class="card-subtitle">{{ post.subtitle }}</h4>
           {% endif %}
           {% block blog_meta %}
               {% include "Blog/includes/blog_meta.html" %}
           {% endblock %}
           <div class="blog-lead">
               {% if not TRUNCWORDS_COUNT %}
                   {% render_model post "abstract" "" "" "safe" %}
               {% else %}
                   {% render_model post "abstract" "" "" "truncatewords_html:TRUNCWORDS_COUNT|safe"  %}
               {% endif %}
           </div>
       </div>
       <div class="card-footer bg-white">
           <a class="btn btn-outline-primary" href="{{ post.get_absolute_url }}">{% trans "read more" %} &raquo;</a>
       </div>        
   </div>
</div>